## org.eclipse.emf.codegen.jmerge
Class PropertyMerger.PlatformRunnable

    java.lang.Object
      org.eclipse.emf.codegen.merge.properties.PropertyMerger
          org.eclipse.emf.codegen.jmerge.PropertyMerger
              org.eclipse.emf.codegen.jmerge.PropertyMerger.PlatformRunnable

All Implemented Interfaces:
  IPlatformRunnable

Enclosing class:
  PropertyMerger

    public static class PropertyMerger.PlatformRunnable

extends PropertyMerger
implements IPlatformRunnable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.jmerge.PropertyMerger
`PropertyMerger.PlatformRunnable`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`nlPattern, propertyLine, sourceProperties, sourceToTargetMap, targetProperties, targetToSourceMap`

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`PropertyMerger.PlatformRunnable()`

Method Summary

Methods inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`createPropertiesForInputStream, createPropertiesForURI, getSourceProperties, getSourceToTargetMap, getTargetProperties, merge, parse, run, setSourceProperties, setTargetProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`run`

Constructor Detail

### PropertyMerger.PlatformRunnable

    public PropertyMerger.PlatformRunnable()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.